> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/ptah-matcher-api-controller.md).

# Ptah Matcher Api Controller

## GET /v3/matchers

> Get the Ptah Matcher List

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/matchers":{"get":{"tags":["ptah-matcher-api-controller"],"summary":"Get the Ptah Matcher List","operationId":"getPtahMatchers","parameters":[{"name":"networkId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"tenantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"customerId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"orderBy","in":"query","description":"Filters","required":false,"schema":{"enum":["updated_at","created_at","name","network_id","network_name","id","status"]}},{"name":"sortDirection","in":"query","description":"Filters","required":false,"schema":{"enum":["ASC","DESC"]}},{"name":"status","in":"query","description":"Filters","required":false,"schema":{"type":"string"}},{"name":"governanceId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"governedBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"integrationId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"integratedBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{}},{"name":"pageSize","in":"query","required":false,"schema":{}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahComponentPageDTO"}}}}}}}},"components":{"schemas":{"PtahComponentPageDTO":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PtahComponentPageItemDTO"}},"metadata":{"$ref":"#/components/schemas/PageMetadata"}},"required":["data","metadata"]},"PtahComponentPageItemDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","integratedBy","name","organization","tenant"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PageMetadata":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalItems":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}}}}}
```

## POST /v3/matchers

> Create PtahMatcher

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/matchers":{"post":{"tags":["ptah-matcher-api-controller"],"summary":"Create PtahMatcher","operationId":"createPtahMatcher","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentCreateRequest"}}},"required":true},"responses":{"201":{"description":"Matcher created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahMatcherNodeDTO"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}},"components":{"schemas":{"EbsComponentCreateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"network":{"type":"integer","format":"int64"},"tenant":{"type":"integer","format":"int64"},"organization":{"type":"integer","format":"int64"}},"required":["name","network","organization","tenant"]},"PtahMatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PtahExplorerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"component":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["component","currentStatus","id","identifier","name","type"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}}}
```

## GET /v3/matchers/{id}

> Get the Ptah matcher By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/matchers/{id}":{"get":{"tags":["ptah-matcher-api-controller"],"summary":"Get the Ptah matcher By Id","operationId":"getPtahMatcherById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahMatcherNodeDTO"}}}}}}}},"components":{"schemas":{"PtahMatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PtahExplorerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"component":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["component","currentStatus","id","identifier","name","type"]}}}}
```

## DELETE /v3/matchers/{id}

> Delete the Matcher By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/matchers/{id}":{"delete":{"tags":["ptah-matcher-api-controller"],"summary":"Delete the Matcher By Id","operationId":"deletePtahMatcherById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}},"components":{"schemas":{"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}}}
```

## PATCH /v3/matchers/{id}

> Patch the Ptah matcher By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/matchers/{id}":{"patch":{"tags":["ptah-matcher-api-controller"],"summary":"Patch the Ptah matcher By Id","operationId":"patchPtahMatcherById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahMatcherNodeDTO"}}}}}}}},"components":{"schemas":{"EbsComponentUpdateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"operation":{"type":"string","enum":["RENAME","START","STOP","RESTART"]}}},"PtahMatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PtahExplorerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"component":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["component","currentStatus","id","identifier","name","type"]}}}}
```
